Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package com.google.gwt.inject.rebind.reflect

Class Summary
FieldLiteral<T> | Generic field representation preserving the fields type parametrization.
MemberLiteral<T,M extends Member & AnnotatedElement> | Generic member representation preserving the member's type parameters.
MethodLiteral<T,M extends Member & AnnotatedElement & GenericDeclaration> | Generic method and constructor representation that preserves the member's parametrization and allows common operations on methods and constructors where appropriate.
ReflectUtil | Utility providing helper methods around reflection.
ReflectUtil.SignatureBuilder | Builder that produces the signature of a method.

Exception Summary
NoSourceNameException | Thrown if a source name is requested but cannot be provided.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES